webkit2gtkd 0.0.3

A wrapper for the webkit2gtk library using GtkD


To use this package, run the following command in your project's root directory:

Webkit2GtkD

forthebadge

A small D binding for the webkit2gtk library using GtkD and built-in types.

Building and dependencies

The dependencies are:

  • dub and a compatible D compiler.
  • webkit2gtk (Development version if available).

The recommended procedure to build is:

dub fetch webkit2gtkd
dub build webkit2gtkd

Or you can add it to a previous dub project with:

dub add webkit2gtkd

Wrapped versions

| Library | Version | | --------------------- | --------------------------------- | | javascriptcore | Bundled with webkit2 in the repo. | | soup | 2.72.X | | webkit2gtk | 2.30.X | | webki2webextension | Bundled with webkit2 in the repo. |

Authors:
  • streaksu
Dependencies:
gtk-d
System dependencies:
WebKit2GTK version >= 2.30.1
Versions:
0.0.3 2020-Oct-23
0.0.2 2020-Oct-23
0.0.1 2020-Oct-08
~main 2020-Oct-23
Show all 4 versions
Download Stats:
  • 0 downloads today

  • 19 downloads this week

  • 26 downloads this month

  • 26 downloads total

Score:
0.6
Short URL:
webkit2gtkd.dub.pm